Package org.springframework.jdbc.support.rowset

# Interface SqlRowSet

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `ResultSetWrappingSqlRowSet`

public interface SqlRowSet extends Serializable
Mirror interface for `RowSet`, representing a disconnected variant of `ResultSet` data.

The main difference to the standard JDBC RowSet is that a `SQLException` is never thrown here. This allows an SqlRowSet to be used without having to deal with checked exceptions. An SqlRowSet will throw Spring's `InvalidResultSetAccessException` instead (when appropriate).

Note: This interface extends the `java.io.Serializable` marker interface. Implementations, which typically hold disconnected data, are encouraged to be actually serializable (as far as possible).

Since:
  1.2
Author:
  Thomas Risberg, Juergen Hoeller
See Also:
  - `RowSet`
  - `ResultSet`
  - `InvalidResultSetAccessException`
  - `JdbcTemplate.queryForRowSet(java.lang.String)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`absolute(int row)`
Move the cursor to the given row number in the row set, just after the last row.
`void`
`afterLast()`
Move the cursor to the end of this row set.
`void`
`beforeFirst()`
Move the cursor to the front of this row set, just before the first row.
`int`
`findColumn(String columnLabel)`
Map the given column label to its column index.
`boolean`
`first()`
Move the cursor to the first row of this row set.
`BigDecimal`
`getBigDecimal(int columnIndex)`
Retrieve the value of the indicated column in the current row as a BigDecimal object.
`BigDecimal`
`getBigDecimal(String columnLabel)`
Retrieve the value of the indicated column in the current row as a BigDecimal object.
`boolean`
`getBoolean(int columnIndex)`
Retrieve the value of the indicated column in the current row as a boolean.
`boolean`
`getBoolean(String columnLabel)`
Retrieve the value of the indicated column in the current row as a boolean.
`byte`
`getByte(int columnIndex)`
Retrieve the value of the indicated column in the current row as a byte.
`byte`
`getByte(String columnLabel)`
Retrieve the value of the indicated column in the current row as a byte.
`Date`
`getDate(int columnIndex)`
Retrieve the value of the indicated column in the current row as a Date object.
`Date`
`getDate(int columnIndex, Calendar cal)`
Retrieve the value of the indicated column in the current row as a Date object.
`Date`
`getDate(String columnLabel)`
Retrieve the value of the indicated column in the current row as a Date object.
`Date`
`getDate(String columnLabel, Calendar cal)`
Retrieve the value of the indicated column in the current row as a Date object.
`double`
`getDouble(int columnIndex)`
Retrieve the value of the indicated column in the current row as a Double object.
`double`
`getDouble(String columnLabel)`
Retrieve the value of the indicated column in the current row as a Double object.
`float`
`getFloat(int columnIndex)`
Retrieve the value of the indicated column in the current row as a float.
`float`
`getFloat(String columnLabel)`
Retrieve the value of the indicated column in the current row as a float.
`int`
`getInt(int columnIndex)`
Retrieve the value of the indicated column in the current row as an int.
`int`
`getInt(String columnLabel)`
Retrieve the value of the indicated column in the current row as an int.
`long`
`getLong(int columnIndex)`
Retrieve the value of the indicated column in the current row as a long.
`long`
`getLong(String columnLabel)`
Retrieve the value of the indicated column in the current row as a long.
`SqlRowSetMetaData`
`getMetaData()`
Retrieve the meta-data, i.e.
`String`
`getNString(int columnIndex)`
Retrieve the value of the indicated column in the current row as a String (for NCHAR, NVARCHAR, LONGNVARCHAR columns).
`String`
`getNString(String columnLabel)`
Retrieve the value of the indicated column in the current row as a String (for NCHAR, NVARCHAR, LONGNVARCHAR columns).
`Object`
`getObject(int columnIndex)`
Retrieve the value of the indicated column in the current row as an Object.
`<T> T`
`getObject(int columnIndex, Class<T> type)`
Retrieve the value of the indicated column in the current row as an Object.
`Object`
`getObject(int columnIndex, Map<String,Class<?>> map)`
Retrieve the value of the indicated column in the current row as an Object.
`Object`
`getObject(String columnLabel)`
Retrieve the value of the indicated column in the current row as an Object.
`<T> T`
`getObject(String columnLabel, Class<T> type)`
Retrieve the value of the indicated column in the current row as an Object.
`Object`
`getObject(String columnLabel, Map<String,Class<?>> map)`
Retrieve the value of the indicated column in the current row as an Object.
`int`
`getRow()`
Retrieve the current row number.
`short`
`getShort(int columnIndex)`
Retrieve the value of the indicated column in the current row as a short.
`short`
`getShort(String columnLabel)`
Retrieve the value of the indicated column in the current row as a short.
`String`
`getString(int columnIndex)`
Retrieve the value of the indicated column in the current row as a String.
`String`
`getString(String columnLabel)`
Retrieve the value of the indicated column in the current row as a String.
`Time`
`getTime(int columnIndex)`
Retrieve the value of the indicated column in the current row as a Time object.
`Time`
`getTime(int columnIndex, Calendar cal)`
Retrieve the value of the indicated column in the current row as a Time object.
`Time`
`getTime(String columnLabel)`
Retrieve the value of the indicated column in the current row as a Time object.
`Time`
`getTime(String columnLabel, Calendar cal)`
Retrieve the value of the indicated column in the current row as a Time object.
`Timestamp`
`getTimestamp(int columnIndex)`
Retrieve the value of the indicated column in the current row as a Timestamp object.
`Timestamp`
`getTimestamp(int columnIndex, Calendar cal)`
Retrieve the value of the indicated column in the current row as a Timestamp object.
`Timestamp`
`getTimestamp(String columnLabel)`
Retrieve the value of the indicated column in the current row as a Timestamp object.
`Timestamp`
`getTimestamp(String columnLabel, Calendar cal)`
Retrieve the value of the indicated column in the current row as a Timestamp object.
`boolean`
`isAfterLast()`
Retrieve whether the cursor is after the last row of this row set.
`boolean`
`isBeforeFirst()`
Retrieve whether the cursor is before the first row of this row set.
`boolean`
`isFirst()`
Retrieve whether the cursor is on the first row of this row set.
`boolean`
`isLast()`
Retrieve whether the cursor is on the last row of this row set.
`boolean`
`last()`
Move the cursor to the last row of this row set.
`boolean`
`next()`
Move the cursor to the next row.
`boolean`
`previous()`
Move the cursor to the previous row.
`boolean`
`relative(int rows)`
Move the cursor a relative number of rows, either positive or negative.
`boolean`
`wasNull()`
Report whether the last column read had a value of SQL `NULL`.

## Method Details

### getMetaData

SqlRowSetMetaData getMetaData()
Retrieve the meta-data, i.e. number, types and properties for the columns of this row set.

Returns:
  a corresponding SqlRowSetMetaData instance
See Also:
  - `ResultSet.getMetaData()`

### findColumn

int findColumn(String columnLabel) throws InvalidResultSetAccessException
Map the given column label to its column index.

Parameters:
  `columnLabel` - the name of the column
Returns:
  the column index for the given column label
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.findColumn(String)`

### getBigDecimal

@Nullable BigDecimal getBigDecimal(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a BigDecimal object.

Parameters:
  `columnIndex` - the column index
Returns:
  an BigDecimal object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getBigDecimal(int)`

### getBigDecimal

@Nullable BigDecimal getBigDecimal(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a BigDecimal object.

Parameters:
  `columnLabel` - the column label
Returns:
  an BigDecimal object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getBigDecimal(String)`

### getBoolean

boolean getBoolean(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a boolean.

Parameters:
  `columnIndex` - the column index
Returns:
  a boolean representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getBoolean(int)`

### getBoolean

boolean getBoolean(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a boolean.

Parameters:
  `columnLabel` - the column label
Returns:
  a boolean representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getBoolean(String)`

### getByte

byte getByte(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a byte.

Parameters:
  `columnIndex` - the column index
Returns:
  a byte representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getByte(int)`

### getByte

byte getByte(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a byte.

Parameters:
  `columnLabel` - the column label
Returns:
  a byte representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getByte(String)`

### getDate

@Nullable Date getDate(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Date object.

Parameters:
  `columnIndex` - the column index
Returns:
  a Date object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getDate(int)`

### getDate

@Nullable Date getDate(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Date object.

Parameters:
  `columnLabel` - the column label
Returns:
  a Date object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getDate(String)`

### getDate

@Nullable Date getDate(int columnIndex, Calendar cal) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Date object.

Parameters:
  `columnIndex` - the column index
  `cal` - the Calendar to use in constructing the Date
Returns:
  a Date object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getDate(int, Calendar)`

### getDate

@Nullable Date getDate(String columnLabel, Calendar cal) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Date object.

Parameters:
  `columnLabel` - the column label
  `cal` - the Calendar to use in constructing the Date
Returns:
  a Date object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getDate(String, Calendar)`

### getDouble

double getDouble(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Double object.

Parameters:
  `columnIndex` - the column index
Returns:
  a Double object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getDouble(int)`

### getDouble

double getDouble(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Double object.

Parameters:
  `columnLabel` - the column label
Returns:
  a Double object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getDouble(String)`

### getFloat

float getFloat(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a float.

Parameters:
  `columnIndex` - the column index
Returns:
  a float representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getFloat(int)`

### getFloat

float getFloat(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a float.

Parameters:
  `columnLabel` - the column label
Returns:
  a float representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getFloat(String)`

### getInt

int getInt(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as an int.

Parameters:
  `columnIndex` - the column index
Returns:
  an int representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getInt(int)`

### getInt

int getInt(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as an int.

Parameters:
  `columnLabel` - the column label
Returns:
  an int representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getInt(String)`

### getLong

long getLong(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a long.

Parameters:
  `columnIndex` - the column index
Returns:
  a long representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getLong(int)`

### getLong

long getLong(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a long.

Parameters:
  `columnLabel` - the column label
Returns:
  a long representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getLong(String)`

### getNString

@Nullable String getNString(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a String (for NCHAR, NVARCHAR, LONGNVARCHAR columns).

Parameters:
  `columnIndex` - the column index
Returns:
  a String representing the column value
Throws:
  `InvalidResultSetAccessException`
Since:
  4.1.3
See Also:
  - `ResultSet.getNString(int)`

### getNString

@Nullable String getNString(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a String (for NCHAR, NVARCHAR, LONGNVARCHAR columns).

Parameters:
  `columnLabel` - the column label
Returns:
  a String representing the column value
Throws:
  `InvalidResultSetAccessException`
Since:
  4.1.3
See Also:
  - `ResultSet.getNString(String)`

### getObject

@Nullable Object getObject(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as an Object.

Parameters:
  `columnIndex` - the column index
Returns:
  an Object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getObject(int)`

### getObject

@Nullable Object getObject(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as an Object.

Parameters:
  `columnLabel` - the column label
Returns:
  an Object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getObject(String)`

### getObject

@Nullable Object getObject(int columnIndex, Map<String,Class<?>> map) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as an Object.

Parameters:
  `columnIndex` - the column index
  `map` - a Map object containing the mapping from SQL types to Java types
Returns:
  an Object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getObject(int, Map)`

### getObject

@Nullable Object getObject(String columnLabel, Map<String,Class<?>> map) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as an Object.

Parameters:
  `columnLabel` - the column label
  `map` - a Map object containing the mapping from SQL types to Java types
Returns:
  an Object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getObject(String, Map)`

### getObject

@Nullable <T> T getObject(int columnIndex, Class<T> type) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as an Object.

Parameters:
  `columnIndex` - the column index
  `type` - the Java type to convert the designated column to
Returns:
  an Object representing the column value
Throws:
  `InvalidResultSetAccessException`
Since:
  4.1.3
See Also:
  - `ResultSet.getObject(int, Class)`

### getObject

@Nullable <T> T getObject(String columnLabel, Class<T> type) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as an Object.

Parameters:
  `columnLabel` - the column label
  `type` - the Java type to convert the designated column to
Returns:
  an Object representing the column value
Throws:
  `InvalidResultSetAccessException`
Since:
  4.1.3
See Also:
  - `ResultSet.getObject(String, Class)`

### getShort

short getShort(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a short.

Parameters:
  `columnIndex` - the column index
Returns:
  a short representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getShort(int)`

### getShort

short getShort(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a short.

Parameters:
  `columnLabel` - the column label
Returns:
  a short representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getShort(String)`

### getString

@Nullable String getString(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a String.

Parameters:
  `columnIndex` - the column index
Returns:
  a String representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getString(int)`

### getString

@Nullable String getString(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a String.

Parameters:
  `columnLabel` - the column label
Returns:
  a String representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getString(String)`

### getTime

@Nullable Time getTime(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Time object.

Parameters:
  `columnIndex` - the column index
Returns:
  a Time object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getTime(int)`

### getTime

@Nullable Time getTime(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Time object.

Parameters:
  `columnLabel` - the column label
Returns:
  a Time object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getTime(String)`

### getTime

@Nullable Time getTime(int columnIndex, Calendar cal) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Time object.

Parameters:
  `columnIndex` - the column index
  `cal` - the Calendar to use in constructing the Date
Returns:
  a Time object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getTime(int, Calendar)`

### getTime

@Nullable Time getTime(String columnLabel, Calendar cal) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Time object.

Parameters:
  `columnLabel` - the column label
  `cal` - the Calendar to use in constructing the Date
Returns:
  a Time object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getTime(String, Calendar)`

### getTimestamp

@Nullable Timestamp getTimestamp(int columnIndex) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Timestamp object.

Parameters:
  `columnIndex` - the column index
Returns:
  a Timestamp object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getTimestamp(int)`

### getTimestamp

@Nullable Timestamp getTimestamp(String columnLabel) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Timestamp object.

Parameters:
  `columnLabel` - the column label
Returns:
  a Timestamp object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getTimestamp(String)`

### getTimestamp

@Nullable Timestamp getTimestamp(int columnIndex, Calendar cal) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Timestamp object.

Parameters:
  `columnIndex` - the column index
  `cal` - the Calendar to use in constructing the Date
Returns:
  a Timestamp object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getTimestamp(int, Calendar)`

### getTimestamp

@Nullable Timestamp getTimestamp(String columnLabel, Calendar cal) throws InvalidResultSetAccessException
Retrieve the value of the indicated column in the current row as a Timestamp object.

Parameters:
  `columnLabel` - the column label
  `cal` - the Calendar to use in constructing the Date
Returns:
  a Timestamp object representing the column value
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getTimestamp(String, Calendar)`

### absolute

boolean absolute(int row) throws InvalidResultSetAccessException
Move the cursor to the given row number in the row set, just after the last row.

Parameters:
  `row` - the number of the row where the cursor should move
Returns:
  `true` if the cursor is on the row set, `false` otherwise
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.absolute(int)`

### afterLast

void afterLast() throws InvalidResultSetAccessException
Move the cursor to the end of this row set.

Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.afterLast()`

### beforeFirst

void beforeFirst() throws InvalidResultSetAccessException
Move the cursor to the front of this row set, just before the first row.

Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.beforeFirst()`

### first

boolean first() throws InvalidResultSetAccessException
Move the cursor to the first row of this row set.

Returns:
  `true` if the cursor is on a valid row, `false` otherwise
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.first()`

### getRow

int getRow() throws InvalidResultSetAccessException
Retrieve the current row number.

Returns:
  the current row number
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.getRow()`

### isAfterLast

boolean isAfterLast() throws InvalidResultSetAccessException
Retrieve whether the cursor is after the last row of this row set.

Returns:
  `true` if the cursor is after the last row, `false` otherwise
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.isAfterLast()`

### isBeforeFirst

boolean isBeforeFirst() throws InvalidResultSetAccessException
Retrieve whether the cursor is before the first row of this row set.

Returns:
  `true` if the cursor is before the first row, `false` otherwise
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.isBeforeFirst()`

### isFirst

boolean isFirst() throws InvalidResultSetAccessException
Retrieve whether the cursor is on the first row of this row set.

Returns:
  `true` if the cursor is after the first row, `false` otherwise
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.isFirst()`

### isLast

boolean isLast() throws InvalidResultSetAccessException
Retrieve whether the cursor is on the last row of this row set.

Returns:
  `true` if the cursor is after the last row, `false` otherwise
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.isLast()`

### last

boolean last() throws InvalidResultSetAccessException
Move the cursor to the last row of this row set.

Returns:
  `true` if the cursor is on a valid row, `false` otherwise
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.last()`

### next

boolean next() throws InvalidResultSetAccessException
Move the cursor to the next row.

Returns:
  `true` if the new row is valid, `false` if there are no more rows
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.next()`

### previous

boolean previous() throws InvalidResultSetAccessException
Move the cursor to the previous row.

Returns:
  `true` if the new row is valid, `false` if it is off the row set
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.previous()`

### relative

boolean relative(int rows) throws InvalidResultSetAccessException
Move the cursor a relative number of rows, either positive or negative.

Returns:
  `true` if the cursor is on a row, `false` otherwise
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.relative(int)`

### wasNull

boolean wasNull() throws InvalidResultSetAccessException
Report whether the last column read had a value of SQL `NULL`.

Note that you must first call one of the getter methods and then call the `wasNull()` method.

Returns:
  `true` if the most recent column retrieved was SQL `NULL`, `false` otherwise
Throws:
  `InvalidResultSetAccessException`
See Also:
  - `ResultSet.wasNull()`